#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

int IsDigitInBase(char digit, long base)
{
	if(base < 11)
		return digit >= '0' && digit <= '0' + base - 1;
	else
	{
		if(digit >= '0' && digit <= '9')return 1;
		return digit >= 'a' && digit <= 'a' + base - 11;
	}
}

long DigitFromBase(char digit, long base)
{
	if(digit >= '0' && digit <= '9')return digit - '0';
	else return digit - 'a' + 10;
}

int ReadNumber(char **buffer, long base, int mustBeSymbol, long depth)
{
	//if(depth >= 3)return 0;

	if(mustBeSymbol)
		if(**buffer == '#')++(*buffer);
		else return 0;

	static int isNumber, baseNumber;
	static long number;

	isNumber = 0;
	baseNumber = 1;
	number = 0;
	while(**buffer && **buffer != '#')
	{
		if(! IsDigitInBase(**buffer, base))return 0;
		number *= base;
		number += DigitFromBase(**buffer, base);
		if(number > 16)baseNumber = 0;
		++(*buffer);
		isNumber = 1;
	}

	if(! isNumber)return 0;

	if(mustBeSymbol)
		if(**buffer != '#')return 0;
		else ++(*buffer);

	if(**buffer)
	{
		if(number < 2 || !baseNumber)return 0;
		return ReadNumber(buffer, number, 1, depth + 1);
	}

	return 1;
}

const long BUFFER_SIZE = 100; //81

int main()
{
#ifndef ONLINE_JUDGE
	freopen("input.txt", "rt", stdin);
	freopen("output.txt", "wt", stdout);
#endif

	char buffer[BUFFER_SIZE];
	gets(buffer);

	long cTests, iTest;
	sscanf(buffer, "%ld", &cTests);

	for(iTest = 0; iTest < cTests; ++iTest)
	{
		static char *pBuffer;
		gets(buffer);
		pBuffer = buffer;
		puts(ReadNumber(&pBuffer, 10, 0, 0) ? "yes" : "no");
	}

#ifndef ONLINE_JUDGE
	fclose(stdin);
	fclose(stdout);
#endif
	return 0;
}